import os
import sqlite3
from flask import Flask, redirect, request, render_template, jsonify

app = Flask(__name__)
DATABASE = "login.db"

ALLOWED_EXTENSIONS = set(['txt', 'pdf', 'png', 'jpg', 'jpeg', 'gif'])

@app.route("/SearchRecord", methods=['POST'])
def searchRecord():

    if request.method =='POST':
        try:
            recordEmail = request.form.get('recordEmail', default="Error")
            conn = sqlite3.connect(DATABASE)
            cur = conn.cursor()
            cur.execute("SELECT * FROM login WHERE Email=?;", [recordEmail])
            recordData = cur.fetchall()
        except:
            print(f"Error: {recordData}")
            conn.close()
        finally:
            conn.close()
            print(f"{str(recordData)} Record found.")
            return str(recordData)

@app.route("/AddRecord", methods=['POST'])
def addRecord():
    if (request.method == 'POST'):
        recordEmail = request.form['recordEmail']
        recordPassword = request.form['recordPassword']
        conn = sqlite3.connect(DATABASE)
        cur = conn.cursor()
        cur.execute("INSERT INTO login ('Email', 'Password')\
                    VALUES (?,?)", (recordEmail, recordPassword))
        conn.commit()
        conn.close()

        infoMessage = (f'{recordData} Record added.')

    print(infoMessage)
    return (infoMessage)
    
if __name__ == "__main__":
    app.run(debug=True)